Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           remake
Version:        0.14
Release:        alt1_4
Summary:        Build system that bridges the gap between make and redo

License:        GPLv3+
URL:            https://github.com/silene/%{name}
Source0:        https://github.com/silene/%{name}/archive/%{name}-%{version}.tar.gz
# Find out which test is hanging
Patch0:         %{name}-test.patch

BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  ghostscript-utils ghostscript
BuildRequires:  inotify-tools libinotifytools
BuildRequires:  texlive-collection-basic
#BuildRequires:  fonts-type1-urw-base35
Source44: import.info

%description
Remake is a build system with features of both make and redo.  See the
documentation for details on usage and control file syntax.

%package doc
Group: Other
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch
Provides:       bundled(jquery)

%description doc
Documentation for using and developing %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0


%build
g++ $RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -o remake remake.cpp \
    $RPM_LD_FLAGS
doxygen

%install
# Install the binary
mkdir -p %{buildroot}%{_bindir}
install -pm 0755 remake %{buildroot}%{_bindir}

# Install the doxygen documentation
#mkdir -p %{buildroot}%{_docdir}/%{name}
#cp -a doxydoc/html %{buildroot}%{_docdir}/%{name}

%if 0
%check
cd testsuite
./all.sh
%endif

%files
%doc README.md
#exclude  %{_docdir}/%{name}/html
%{_bindir}/%{name}

%files doc
%doc doxydoc/html
#doc %{_docdir}/%{name}
#exclude %{_docdir}/%{name}/README.md

%changelog
* Tue Oct 26 2021 Igor Vlasenko <viy@altlinux.org> 0.14-alt1_4
- new version

